%define major	1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	raptor
Version:   	1.4.21
Release:   	%mkrel 2
License: 	GPL LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.xz
Patch0:		raptor-1.4.21-curl.patch
Patch1:		raptor-1.4.21-CVE-2012-0037.patch
URL:       	http://librdf.org/raptor/
BuildRequires: 	libxml2-devel
BuildRequires:  curl-devel
Requires:       %{libname}

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %name
Group:		Development/Libraries
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel < %{version}-%{release}
Obsoletes:	%{mklibname -d raptor 1}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

#multiarch
%multiarch_binaries %{buildroot}%{_bindir}/raptor-config

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor.3*
%{_bindir}/rapper

%files -n %libname
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%_datadir/gtk-doc/html/raptor/
%multiarch %{multiarch_bindir}/raptor-config
%{_bindir}/raptor-config


%changelog
* Fri Oct 20 2017 bb2 <bb2> - 1.4.21-2pclos2017
- rebuild against updates
